1
1

Buongiorno, utilizzo con soddisfazione ubuntu da diversi anni, ma sono tutt'altro che esperto.
Per evitare le inevitabili criticità derivanti dai continui aggiornamenti delle versioni potenzialmente instabili ho scelto di installare e mantenere la versione 14.04 LTS. Purtroppo nonostante questo ieri 30/01/2016 a seguito dell'ultimo aggiornamento la rete mi risulta inaccessibile.
Questo il messaggio di errore che mi compare:


I servizi di rete di sistema non sono compatibili con questa versione
Ubuntu 14.01 gira su PC Desktop con dual boot con W7.
Ho provato a montare una seconda scheda di rete lan per vedere se era possibile risolvere la questione, ma non risolto, non solo mi sono reso conto che il problema deve essere più generale in quanto anche la rete wirless adesso non è più disponibile.
In pratica non riesco ad accedere a internet in nessun modo dalla partizione di ubuntu... e questa volta mi toccherà ringraziare Windows ;-) Qualcuno ha qualche suggerimento? Grazie a tutti

chiesto 31 Gen '16, 09:18

tatta68's gravatar image

tatta68
50138

modificato 01 Feb '16, 07:04

1

C'è purtroppo un problema noto con l'ultimo aggiornamento di network manager su alcuni tipi di schede di rete. Quali sono marca e modello della tua scheda di rete?

Prova a seguire la risposta a questa domanda per risolvere.

(31 Gen '16, 11:05) dadexix86 ♦♦ dadexix86's gravatar image

Grazie della dritta, ho provato a seguire le istruzioni riportate dal link presente nella discussione che mi hai suggerito ma purtoppo non ho risolto. La scheda di rete è una Realtek RTL8168D/8111D ed ho provato anche con una Realtek RTL8139/810x, ma non danno segni di essere riconosciute.

(31 Gen '16, 14:22) tatta68 tatta68's gravatar image

Quali errori ti hanno dato i comandi in quella discussione? Quindi hai due schede che puoi smontare e cambiare sul tuo pc?

(31 Gen '16, 14:31) dadexix86 ♦♦ dadexix86's gravatar image

Scusami, come non detto, ri-procedendo con maggiore attenzione con lo scopo di girarti gli errore ottenuti mi sono accorto di non aver seguito con attenzione le istruzioni e colpo di scena...
la rete ha miracolosamente ripreso vita (infatti sto scrivendo direttamente da Ubuntu)


Ricapitolando per i posteri io ho risolto seguendo le istruzioni riportate su questo link: "http://pastebin.com/m4b0BLUx".
Grazie ancora, ma a questo punto però mi sorge un dubbio: come comportarmi per i prossimi aggiornamenti? Cosa mi consiglieresti?

(31 Gen '16, 21:17) tatta68 tatta68's gravatar image
1

C'è scritto lì: quando ci saranno di NetworkManager - che probabilmente risolveranno il problema - dovrai sbloccare il pacchetto in modo che il sistema possa aggiornarlo. Chiaramente se il problema ci sarà ancora dovrai rifare la procedura e bloccarlo di nuovo.

(31 Gen '16, 21:25) dadexix86 ♦♦ dadexix86's gravatar image

Ho aggiunto la nota [Risolto] al titolo ed ho cliccato su accetta la risposta nella pagina cui mi hai indirizzato, spero di aver rispettato le corrette procedure.
Ciao e grazie ancora

(31 Gen '16, 21:42) tatta68 tatta68's gravatar image

@tatta68: non mettere risolto nel titolo, scrivi invece una risposta con la soluzione ed accettala.

(31 Gen '16, 22:12) enzotib ♦♦ enzotib's gravatar image

@tatta68 hai i repository proposed abilitati?

(02 Feb '16, 09:42) dadexix86 ♦♦ dadexix86's gravatar image

Soluzione accettata
Per correttezza con le norme del forum aggiungo una risposta in cui ribadisco la soluzione che ha risolto il mio problema.


Ho seguito le istruzioni riportate a questo link come da suggerimento di dadexix86. Si tratta di fare il downgrade network-manager come indicato nella pagina linkata.
Grazie

qui di seguito riporto le istruzioni suggerite in tale pagina

   You can download them (booting on a live distrib, from another computer + usb stick, ...):
For amd64
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-3-200_3.2.21-1_amd64.deb
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-genl-3-200_3.2.21-1_amd64.deb
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-route-3-200_3.2.21-1_amd64.deb

For i386
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-3-200_3.2.21-1_i386.deb
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-genl-3-200_3.2.21-1_i386.deb
http://archive.ubuntu.com/ubuntu/pool/main/libn/libnl3/libnl-route-3-200_3.2.21-1_i386.deb

Then installing them with dpkg where you saved these .deb packages:
sudo dpkg -i libnl-*.deb

(re)starting NetworkManager should no more crash and brings back networking:
sudo service network-manager restart

As there isn't yet any upgrade on network-manager,
until this upgrade trigger in your package manager,
As mentioned in https://bugs.launchpad.net/ubuntu/+source/libnl3/+bug/1511735/comments/29

you may need to apply a hold until new NetworkManager is released:
sudo apt-mark hold libnl-3-200 libnl-genl-3-200 libnl-route-3-200

then when the update on NetworkManager triggers:
sudo apt-mark auto libnl-3-200 libnl-genl-3-200 libnl-route-3-200
coll. permanente

ha risposto 01 Feb '16, 07:09

tatta68's gravatar image

tatta68
50138

modificato 02 Feb '16, 06:50

@tatta68: ti segnalo che la pagina linkata non c'è. Inoltre perché la risposta sia comprensibile anche ad altri con lo stesso problema, dovresti scrivere nel dettaglio ciò che hai fatto.

(01 Feb '16, 08:16) enzoge enzoge's gravatar image
1

Buongiorno ilgallinetta, come da suggerimenti ho modificato la risposta e mi auguro adesso possa essere accettabile. Ciao e grazie ancora per l'ottimo lavoro che svolgete.

(02 Feb '16, 06:53) tatta68 tatta68's gravatar image

Grandi! Risolvete problemi meglio del Sig. Wolf

(02 Feb '16, 23:01) R1 V1 R1%20V1's gravatar image
2

Se i repository Proposed (Proposti) erano attivati, è meglio disattivarli. Non sarebbero da usare sulle installazioni per lavoro, ma solo su quelle di prova.

(04 Feb '16, 19:21) essedia1960 essedia1960's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×90

domanda posta: 31 Gen '16, 09:18

domanda visualizzata: 2,925 volte

ultimo aggiornamento: 04 Feb '16, 19:21

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.